# Genode Packages

This repo contains Nix expressions for building Genode with Nixpkgs and building
Nixpkgs for Genode. At the moment the former is experimental and broken in many
cases, the later is probably broken for all cases.

Furthermore, this repository is structured as a Nix flake, with is in itself an 
experimental extension of the Nix utility. The flakes capable `nix` frontend is 
available from Nixpkgs as `nixFlakes`. It is possible to bootstrap to flakes by 
installing Nix on a standard Linux distro, followed by `nix-env -i nixFlakes`. 
Flakes are available from NixOS using the following expression:
`{ pkgs, ... }: { nix.package = pkgs.nixFlakes; }`

## Toolchain

The LLVM cross-compiler may useful already, Clang apparently builds trivial 
Genode componenents without serious problems. Bootstrapping GCC is not practical 
due to the recursive autotools build system.

The compiler environment for x86_64 should be accessible from the `stdenv` at 
the path `.#packages.x86_64-linux-x86_64-genode.stdenv`. There is currently no
recommendations for integrating the compiler within external build systems.

Bootstrapping the LLVM toolchain on a laptop can take hours, so personally I 
farm out the builds. If you interested in binaries please contact me and we can  
setup a cache.
