let Genode =
        env:DHALL_GENODE
      ? https://git.sr.ht/~ehmry/dhall-genode/blob/master/package.dhall

in    λ(testInit : Genode.Init.Type)
    → Genode.Init::{
      , verbose = True
      , defaultRoutes =
            Genode.Init.default.defaultRoutes
          # [ Genode.ServiceRoute.parent "IO_MEM"
            , Genode.ServiceRoute.parent "IO_PORT"
            , Genode.ServiceRoute.parent "IRQ"
            , Genode.ServiceRoute.child "Timer" "timer"
            ]
      , children =
          toMap
            { timer =
                Genode.Init.Start::{
                , binary = "timer"
                , resources = { caps = 96, ram = Genode.units.MiB 1 }
                , provides = [ "Timer" ]
                }
            , init = Genode.Init.toStart testInit
            }
      }
