{ testEnv, pkgs, ... }:
with pkgs;

testEnv.mkTest {
  name = "fs_report";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ./fs_report.xml;

  bootModules = {
    fs_report = "${genode.os}/bin/fs_report";
    fs_rom = "${genode.os}/bin/fs_rom";
    ram_fs = "${genode.os}/bin/ram_fs";
    test-fs_report = "${genode.os}/bin/test-fs_report";
    "vfs.lib.so" = "${genode.os}/lib/vfs.lib.so";
  };

  testScript = ''
    run_genode_until {child "test-fs_report" exited with exit value 0} 15
  '';
}
