let Genode = env:DHALL_GENODE

in    λ(_ : {})
    → Genode.Init::{
      , children =
          toMap
            { solo5 =
                Genode.Init.Start::{
                , binary = "test"
                , resources = { caps = 256, ram = Genode.units.MiB 3 }
                , routes =
                    [ Genode.ServiceRoute.parent "Timer"
                    , Genode.ServiceRoute.child "Block" "block"
                    ]
                }
            , block =
                Genode.Init.Start::{
                , binary = "ram_block"
                , provides = [ "Block" ]
                , resources = { caps = 96, ram = Genode.units.MiB 9 }
                , config =
                    Some
                      ( Genode.Prelude.XML.text
                          ''
                            <config size="8M" block_size="4096"/>
                          ''
                      )
                }
            }
      }
